%define libxml2_version                   2.4.20
%define gtk3_version                      2.21.2
%define glib2_version                     2.15.4
%define startup_notification_version      0.5
%define gnome_doc_utils_version           0.3.2
%define gtk_doc_version                   1.9
%define po_package                        gnome-desktop-3.0

Summary: Shared code among gnome-panel, gnome-session, nautilus, etc
Name: gnome-desktop3
Version: 2.90.4
Release: 1%{?dist}
URL: http://www.gnome.org
Source0: http://download.gnome.org/sources/gnome-desktop/2.90/gnome-desktop-%{version}.tar.bz2
License: GPLv2+ and LGPLv2+
Group: System Environment/Libraries

Requires: redhat-menus
Requires: pycairo
Requires: pygtk2
Requires: gnome-python2-gnome

# Make sure to update libgnome schema when changing this
Requires: constantine-backgrounds

BuildRequires: gnome-common
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: GConf2-devel
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: automake autoconf libtool intltool

%description

The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: Libraries and headers for libgnome-desktop
License: LGPLv2+
Group: Development/Libraries
Requires: %name = %{version}-%{release}

Requires: libxml2-devel >= %{libxml2_version}
Requires: gtk3-devel >= %{gtk3_version}
Requires: glib2-devel >= %{glib2_version}
Requires: startup-notification-devel >= %{startup_notification_version}
Requires: gnome-doc-utils >= %{gnome_doc_utils_version}
Requires: pkgconfig
Requires: gtk-doc >= %{gtk_doc_version}

%description devel
Libraries and header files for the GNOME-internal private library
libgnomedesktop.

%prep
%setup -q -n gnome-desktop-%{version}

%build
%configure --with-gnome-distributor="Red Hat, Inc" \
           --with-pnp-ids-path="/usr/share/hwdata/pnp.ids" \
           --disable-scrollkeeper
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# conflicts with the original gnome-desktop, but we might switchroo in a few weeks time
rm -f $RPM_BUILD_ROOT%{_bindir}/gnome-about 
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gnome-about.desktop 
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-about

%find_lang %{po_package} --all-name --with-gnome

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB NEWS README
# these files might come back if we ever end up not shipping the original gnome-desktop on the media
#%{_datadir}/applications/gnome-about.desktop
#%{_datadir}/gnome-about
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%doc %{_mandir}/man*/*
# GPL
#%{_bindir}/gnome-about
# LGPL
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%doc %{_datadir}/gtk-doc/html/gnome-desktop3/

%changelog
* Tue Jun 29 2010 Matthias Clasen <mclasen@redhat.com> 2.90.4-1
- Update to 2.90.4

* Mon Jun 28 2010 Matthias Clasen <mclasen@redhat.com> 2.90.2-1
- 2.90.2

* Thu Jun 17 2010 Richard Hughes <richard@hughsie.com> 2.90.1-1
- Initial build for review.

